// plugins/error-handler.client.ts
export default defineNuxtPlugin(() => {
  window.addEventListener('error', (e) => {
    console.error('Client-side Error:', e.message)
  })

  window.addEventListener('unhandledrejection', (e) => {
    console.error('Unhandled Promise Rejection:', e.reason)
  })
})
